Page MenuHomePhabricator

populateSha1 for some images on commons
Closed, ResolvedPublic

Description

Not quite sure about the reason, but at least the following images on commons have the same sha1sum 'phoiac9h4m842xq45sp7s6u21eteeq1' in database. Please populate the hashes for these:

+-_of_Led.svg
Alfred_de_Musset.jpg
Amphoe_6502.png
Aschenbecher_mit_Mechanik1.jpg
Bakaiku.JPG
Bakweri_cocoyam_farmer_from_Cameroon.jpg
Bartolomeu_Dias_Voyage.PNG
Benjamin_West.jpg
Blason-fr-en-Saint-Moreil.svg
Brno-Nový_Lískovec_from_Petrov_(Brno).JPG
Brännkyrka_kyrka_2005-09-04nr1.jpg
Bundesautobahn_113_number.svg
Clock_UT+7.png
Codex_egberti_-_egbert.jpg
Cold_fingers.png
Cross.png
Cutty_sark_October_2003.jpg
DNAn+1_C.svg
DNAn+1_T.svg
Dabrowskirynek.jpg
Dalmenyhouse_lighter.jpg
Europe_location_ARM.png
Flag_of_Kentucky.svg
Font_Wallace_Pt_Pasteur.jpg
GeorgeWBush.jpg
Gorillas_2609.jpg
Harlekin_Columbine_Tivoli_Denmark.jpg
Helicopter_rescue_sancy_takeoff.jpg
Herb_Korybut.jpg
Hymenoptera_diagonal.jpg
IsleofWightmap_1945.jpg
Jarzabczy_Wierch_a2.jpg
Karte_Lage_Kanton_Uri.png
Kit_body_scga06.png
Kościół_Wniebowstąpienia_Poznań003.jpg
Lilium_bulbiferum_mg-k.jpg
Macaronesia.jpg
Maisonmaton.jpg
Map_of_Scotland_within_the_United_Kingdom.png
Market_Square_Shopping_Centre_Geelong.jpg
Mg-TableImage.svg
Michael_Boogerd.jpg
Monarch_caterpillar_and_egg.jpg
Montelbaanstoren_01.jpg
Multi-colored_Wild_Lantana_Camara_3.JPG
München_A_Rathaus.jpg
NDU-frank-eck-stadium.jpg
Nicolas_Sarkozy_-_Sarkozy_meeting_in_Toulouse_for_the_2007_French_presidential_election_0299_2007-04-12_cropped_further.jpg
Pastis1.jpg
Phra_That_Chae_Haeng,_Province_de_Nan.jpg
Ponte_de_Amizade_of_Macau.JPG
Rhoen_montaner_Laubwald_mg-k.jpg
Rosa_omeiensis_f._pteracantha_-_Bagatelle05.jpg
STS_114_day_before_launch.jpg
Shanghai_Metromap.png
Sidibousaid_mosquee.jpg
Son_Fornes_5.jpg
Starr_Miconia_calvescens0.jpg
Status_iucn2.3_NT_gl.jpg
Table_of_IPA_vowels_in_French.png
Tatry_Zachodnie_a3.jpg
Terry_Jenner.jpg
TexasFM1950.png
The_Map_of_Qing_Dynasty-zh-classical.png
TraslazioneOK.png
Vietnam_memorial_dc_c_20031013.jpg
Volvo480doppel.jpg
Wappen_Hanau-Mittelbuchen.png
William_Phips_03.jpg
Wind-power-small-scale.jpg
Woburn_ParishChurch1.JPG
Örebro_kommun.png
之-bw.png

73 rows in set (0.00 sec)


Version: unspecified
Severity: minor

Details

Reference
bz23529

Related Objects

StatusSubtypeAssignedTask
OpenNone
ResolvedArielGlenn
ResolvedNone

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 11:02 PM
bzimport set Reference to bz23529.
jimmyxu created this task.May 15 2010, 9:41 AM

This is almost a subset of bug 17057.

The images not listed there are:

München_A_Rathaus.jpg
NDU-frank-eck-stadium.jpg
Nicolas_Sarkozy_-_Sarkozy_meeting_in_Toulouse_for_the_2007_French_presidential_election_0299_2007-04-12_cropped_further.jpg
Pastis1.jpg
Phra_That_Chae_Haeng,_Province_de_Nan.jpg
Shanghai_Metromap.png
Sidibousaid_mosquee.jpg
Son_Fornes_5.jpg
Status_iucn2.3_NT_gl.jpg
Table_of_IPA_vowels_in_French.png
Tatry_Zachodnie_a3.jpg
Terry_Jenner.jpg
The_Map_of_Qing_Dynasty-zh-classical.png
TraslazioneOK.png
Vietnam_memorial_dc_c_20031013.jpg
Wappen_Hanau-Mittelbuchen.png
Woburn_ParishChurch1.JPG
Örebro_kommun.png
之-bw.png

These images have an empty filename set in the image table. Thus the sha1 wasn't populated.

[[commons:File:München_A_Rathaus.jpg]] missing image image seem to be there with 20070630181734!München_A_Rathaus.jpg file name, although from the next file date, I would have expected it to be at 20070630184008!München_A_Rathaus.jpg

the missing NDU-frank-eck-stadium.jpg seems to be 20050824152208!NDU-frank-eck-stadium.jpg (not 20050824153422!NDU-frank-eck-stadium.jpg).
It's also interesting how 20050824153519!NDU-frank-eck-stadium.jpg has 20050824153519 and not 20050824153520.

Filenames for the other missing files:
20050822142421!Pastis1.jpg
20070630085912!Phra_That_Chae_Haeng,_Province_de_Nan.jpg
20050720103158!Shanghai_Metromap.png (not on the server, but it's on commons-images-20051031, I have access to it)
20061027101932!Sidibousaid_mosquee.jpg
20070706143514!Son_Fornes_5.jpg
20070613215451!Status_iucn2.3_NT_gl.jpg
20050806165555!Table_of_IPA_vowels_in_French.png
20070605110353!Tatry_Zachodnie_a3.jpg
20061117003742!Terry_Jenner.jpg
20070609141018!The_Map_of_Qing_Dynasty-zh-classical.png
20070613040546!TraslazioneOK.png (missing, same as above)
20050823215542!Vietnam_memorial_dc_c_20031013.jpg
20061120012200!Wappen_Hanau-Mittelbuchen.png

Ariel, can you take care of them?

20050720103158!Shanghai_Metromap.png

Attached:

20070613040546!TraslazioneOK.png

Attached:

Also [[:zh:File:Sd-Dongying.png]].

Reedy added a comment.Jul 17 2011, 6:45 PM

I've now fixed all the images with the sha1 "phoiac9h4m842xq45sp7s6u21eteeq1"

There are 2 stuck images with a hash of ""

mysql> select img_name, img_sha1 from image where img_sha1 = ''
+----------------------------------+----------+

img_nameimg_sha1

+----------------------------------+----------+

Sweden_and_Norway_union_arms.jpg
V_Congrés_CGT_Balears.JPG

+----------------------------------+----------+

Reedy added a comment.Jul 17 2011, 7:09 PM

(In reply to comment #6)

There are 2 stuck images with a hash of ""

mysql> select img_name, img_sha1 from image where img_sha1 = ''
+----------------------------------+----------+

img_nameimg_sha1

+----------------------------------+----------+

Sweden_and_Norway_union_arms.jpg
V_Congrés_CGT_Balears.JPG

+----------------------------------+----------+

Which we don't have physical files for....

aaron added a comment.Aug 10 2011, 6:34 PM

Can this be closed now?

Reedy added a comment.Aug 10 2011, 6:36 PM

(In reply to comment #8)

Can this be closed now?

I believe so, unless someone can reupload the file, or Ariel or someone can drag it from some backup

If not, there is nothing we can do about it